跳转到内容

Optimized Latent Consistency (SDv1.5)

集成

模型 id lcm-sd15-i2i
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lcm-sd15-i2i?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.007 7 API 积分 在此页面运行

获取 API 密钥
Open model 图像编辑 快速 #diffusion#lcm#real-time

基于 latent consistency 的 Stable Diffusion 1.5 少步数图生图变换,支持强度控制

Open model · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

描述要生成的图像;请尽可能提供详细信息以获得最佳结果。

•必填 image_url
拖放文件,或

用于处理的基础图像。

num_images 默认 1

返回图像列表的大小;这些图像使用共享提示词和负面提示词生成,但每个图像使用不同的种子。

高级 negative_prompt · mask · request_id · strength · guidance_scale · num_inference_steps · seed · enable_safety_checks · enable_safety_checker
默认

指定不需要的图像细节的负面提示词。可排除颜色、物体、场景或更细致的特征和质量,例如胡子、模糊或低分辨率。

mask_url
拖放文件,或

指向掩码的 URL,用于兼容通用 LCM 处理。

默认

用于将响应与生成该响应的请求关联起来的请求标识符。

默认 0.8

图像强度设置。

默认 1

图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。

默认 4

图像生成推理步骤数;步骤数越大,图像质量越好,但生成时间越长。

用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。

POST /run/lcm-sd15-i2i?wait=20 报价 → $0.007
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lcm-sd15-i2i?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Optimized Latent Consistency (SDv1.5)

根据文本提示词使用仅需少量步数的 latent consistency 方法重绘或修改基础图像。`num_inference_steps` 默认为 4,最高为 12。`strength`(0 到 1)设置结果偏离输入图像的程度,每次调用最多可返回 8 张图像。支持可选的 `mask_url`、`negative_prompt` 和 `seed`。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
prompt必填
类型string
描述要生成的图像;请尽可能提供详细信息以获得最佳结果。
image_url必填 image
类型url · image
用于处理的基础图像。
mask_url可选 mask
类型url · image
指向掩码的 URL,用于兼容通用 LCM 处理。
strength可选
类型number
默认值0.8
0 – 1
图像强度设置。
negative_prompt可选
类型string
默认值
指定不需要的图像细节的负面提示词。可排除颜色、物体、场景或更细致的特征和质量,例如胡子、模糊或低分辨率。
seed可选
类型integer | null
用于在 Stable Diffusion 中复现图像的种子。保持模型版本、提示词和种子不变,即可在每次运行中精确复现图像。
guidance_scale可选
类型number
默认值1
0 – 16
图像选择对提示词的遵循强度,以 CFG(Classifier Free Guidance)表示。
num_inference_steps可选
类型integer
默认值4
1 – 12
图像生成推理步骤数;步骤数越大,图像质量越好,但生成时间越长。
num_images可选 num_outputs
类型integer
默认值1
1 – 8
返回图像列表的大小;这些图像使用共享提示词和负面提示词生成,但每个图像使用不同的种子。
enable_safety_checks可选
类型boolean
默认值true
输出安全检查开关,仅授权账户可以禁用;所有未授权请求都会进行检查。为 true 时,会筛查结果图像中的潜在不安全内容,检测到后将其替换为黑色图像。
request_id可选
类型string
默认值
用于将响应与生成该响应的请求关联起来的请求标识符。
enable_safety_checker可选
类型boolean
默认值true
调用方获得授权后,可将其设置为 false 以放宽审核。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lcm-sd15-i2i",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 7,
    "usd": "0.007",
    "charged": 7,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "num_inference_steps": 4,
    "request_id": "",
    "nsfw_content_detected": [
      false
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
images
array of object {url, width, height, content_type}生成图像的文件信息。
timings
object
seed
integer图像生成种子;如果输入未提供种子,则包含随机选择的值,否则重复使用所提供的值。
num_inference_steps
integer图像生成所使用的推理步数:输入提供时取自输入,否则使用默认值。
request_id
string用于将响应与生成该响应的请求关联起来的请求标识符。
nsfw_content_detected
array of boolean每个图像的安全结果布尔列表:每项表示是否包含潜在不安全内容;禁用安全检查时为 false。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/lcm-sd15-i2i.md. 所有模型和指南: https://doitong.com/developers/llms.txt